X2Go Bug report logs - #247
session resuming broken by DB based session control feature in x2gocleansessions

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Sat, 22 Jun 2013 09:09:56 UTC

Severity: grave

Tags: pending

Found in version 4.0.1.0

Fixed in version 4.0.1.2

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#247; Package x2goserver. (Sat, 22 Jun 2013 09:09:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 22 Jun 2013 09:09:56 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Cc: x2go-user@lists.berlios.de
Subject: session resuming broken by DB based session control feature in x2gocleansessions
Date: Sat, 22 Jun 2013 11:07:45 +0200
[Message part 1 (text/plain, inline)]
Package: x2goserver
Severity: grave
Version: 4.0.1.0

Hi Karel,

I have forwarded your precise problem description to the X2Go bug tracker.

On Do 20 Jun 2013 07:58:07 CEST Karel wrote:

> No I must say, it's unstable under linux too, not only win7.
>  My server side is with automatic updates switched on and I see multiple
> times in week a notifications about that. Sometimes it will suggest me to
> reboot my computer to update but I will not do it before weekend -
> somewhere in the saturday evening but not at every week.
>  My linux client side is with automatic updates turned off and I will
> update it manually at friday afternoon (if I remember to do it and if I
> have a time to do it) before turning off for the weekend.
>  So it is very hard to tell which updates and at which side was a cause of
> the problems. Windows client is updated very rarely. But somewhere at last
> two weeks I started to see problems connecting to suspended x2go sessions.
> After then I updated also windows client but no better
> stability.
>  If I connect from linux client it will disconnect me after I try to
> connect to my suspended session (for a moment I can see my desktop and
> sometimes I can click something and run a command or two). Every time I
> see my suspended session (with ID number) so I will assume my login was
> correct. After few retries (number of times differ from day to day) I will
> get a connection and it is stable until evening then I disconnect it
> before going home.
>  At home I will connect from windows client and also there is login
> correct because I see my suspended session with ID number (sometimes it is
> not 50 but over that but this is a same until I must make a new session).
> If I try to resume this session I will sometimes see my desktop for a few
> seconds (and sometimes I can click and run a command or two) but it will
> disconnect me again saying something about my incorrect credentials. After
> few retries I will get my session and this is stable until i disconnect it
> later. PyHoca-GUI is more stable and with this I can reconnect better. I
> have'nt used windows x2go-client for a last week or two anymore.
> But there are also cases there after a few unsuccessfull reconnections
> PyHoca-GUI will not show my suspended session anymore and I must start a
> new one. And there is a new session at the server - the old one is gone
> with all related programs closed.

I presume you use x2goserver 4.0.1.1 or 4.1.0.0. These versions  
received a feature update in x2gocleansessions (the X2Go daemon  
watching the session DB in the background).

I am currently working on a fix for this issue.

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#247; Package x2goserver. (Sat, 22 Jun 2013 09:57:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 22 Jun 2013 09:57:36 GMT) Full text and rfc822 format available.

Message #10 received at 247@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 247-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 247@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Sat, 22 Jun 2013 11:48:54 +0200 (CEST)
tag #247 pending
fixed #247 4.0.1.2
thanks

Hello,

X2Go issue #247 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=2f63131

The issue will most likely be fixed in src:x2goserver (4.0.1.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 2f63131615ef3cdcbabd5bf4e4dee65edbce65b2
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Jun 22 11:46:48 2013 +0200

    Accelerate resuming of sessions. Fix failures when resuming sessions that result from the latest changes in x2gocleansessions. (Fixes: #247).
    
    Conflicts (resolved by Mike Gabriel):
    	debian/changelog

diff --git a/debian/changelog b/debian/changelog
index 0603dcc..4bbb5a6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+x2goserver (4.0.1.2-0~x2go1) UNRELEASED; urgency=low
+
+  * New upstream version (4.0.1.2):
+    - Accelerate resuming of sessions. Fix failures when resuming sessions that
+      result from the latest changes in x2gocleansessions. (Fixes: #247).
+
+ -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 22 Jun 2013 11:01:21 +0200
+
 x2goserver (4.0.1.1-0~x2go1) unstable; urgency=low
 
   * New upstream version (4.0.1.1):


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#247; Package x2goserver. (Sat, 22 Jun 2013 09:57:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 22 Jun 2013 09:57:37 GMT) Full text and rfc822 format available.

Message #15 received at 247@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 247-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 247@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Sat, 22 Jun 2013 11:49:01 +0200 (CEST)
close #247
thanks

Hello,

we are very hopeful that X2Go issue #247 reported by you
has been resolved in the new release (4.0.1.2) of the
X2Go source project Ā»src:x2goserverĀ«.

You can view the complete changelog entry of src:x2goserver (4.0.1.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=409fafa952faf971e5936f0e3a7edcef35c3cbda;hp=9c2ab5674c428fb9417841649b6ebd9f1ca0c503

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.2
Status: RELEASE
Date: Sat, 22 Jun 2013 11:48:09 +0200
Fixes: 247
Changes: 
 x2goserver (4.0.1.2) RELEASED; urgency=low
 .
   * New upstream version (4.0.1.2):
     - Accelerate resuming of sessions. Fix failures when resuming sessions that
       result from the latest changes in x2gocleansessions. (Fixes: #247).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 22 Jun 2013 09:57:37 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.2. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 22 Jun 2013 09:57:37 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 22 Jun 2013 09:57:37 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Sat, 22 Jun 2013 09:57:37 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#247. (Sat, 22 Jun 2013 09:57:38 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#247. (Sat, 22 Jun 2013 09:57:38 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 21 Jul 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 14:26:22 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.